close all
clear all

fprintf(1,'****************************************************\n');
fprintf(1,'*      GME performance analysis on real sequence   *\n');
fprintf(1,'****************************************************\n');
fprintf(1,'       Designed by Yue-Meng Chen, Aug,  2009      \n\n');

%% parameter initialization

% the threshold for gradient-descendant(GD) GME (with cascade)
REJRATE = 0.65; 
% iteration number
MAXITER = 4; 

seq_in = '.\garden\fg_sif_30fps.yuv';
MOT_PATH = '.\garden';
SEG_PATH = '.\garden';
nColumn = 352;
nRow = 240;
nFrm = 2; % test the first P-frame
disp('generating fig. 11 -- MRF segmentation with beta = 1.5')
beta = 1.5;
ICMOptimization_beta(seq_in, MOT_PATH, SEG_PATH, nColumn, nRow, nFrm, REJRATE, MAXITER, beta);

disp('generating fig. 11 -- MRF segmentation with beta = 3.5')
beta = 3.5;
ICMOptimization_beta(seq_in, MOT_PATH, SEG_PATH, nColumn, nRow, nFrm, REJRATE, MAXITER, beta);

disp('generating fig. 11 -- MRF segmentation with beta = 5.5')
beta = 5.5;
ICMOptimization_beta(seq_in, MOT_PATH, SEG_PATH, nColumn, nRow, nFrm, REJRATE, MAXITER, beta);

disp('done!')

